:root {
    --main-white: #f0f0f0;
    --main-red: rgb(214, 30, 30);
    --main-blue:  #32c5d2;
    --main-grey: rgb(186, 214, 30);
}

* {
    margin: 0;
    padding: 0;
}

/* box-sizing and font sizing */
*,
*::before,
*::after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;

    font-size: 62.5%;
    scroll-behavior: smooth;
}

@media (max-width: 75em) {
    html {
        font-size: 60%;
    }
}

@media (max-width: 61.25em) {
    html {
        font-size: 50%;
    }
}

@media (max-width: 28.75em) {
    html {
        font-size: 40%;
    }
}


body {
    font-family: 'Segoe UI', 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.8rem;
    font-weight: 400;
    line-height: 1.4;
    color: var(--main-white);
    background-color: rgb(186, 214, 30);
    margin: 0px;
}

body::-webkit-scrollbar {
    width: 7px;
    background-color: var(--main-grey);
}

body::-webkit-scrollbar-thumb {
    background-color: orange;
    border-radius: 15px;
}

img {
    display: block;
    width: 100%;
}

.nav {
    display: flex;
    justify-content: flex-end;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    background: rgb(186 214 30);
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.4);
    z-index: 10;
}

.nav-list {
    display: flex;
    margin-right: 2em;
}

@media (max-width: 28.75em) {
    .nav {
        justify-content: center;
    }

    .nav-list {
        margin: 0 1rem;
    }
}

ul {
    list-style: none;
}

.nav-list a {
    display: block;
    padding: 1em;
    font-size: 2.2rem;
}

a {
    text-decoration: none;
    color: var(--main-white);
}

.nav-list a:hover {
    background-color: var(--main-blue);
}


h1 {
    font-size: 6rem;

}

h1,
h2 {
    font-family: 'Raleway', sans-serif;
    font-weight: 700;
    text-align: center;
}

.img-perfil {
    width: 25%;
    height: auto;
    border-radius: 50%;
}


.projects-section {
    text-align: center;
    padding: 10rem 2rem 10rem 2rem;
    background-color: var(--main-blue);
    background-image:linear-gradient(180deg,#BAD61E 10%,#ff0000 100%);

}

.projects-section-header {
    max-width: 640px;
    margin: 0 auto 6rem auto;
    border-bottom: 0.2rem solid var(--main-white);

}

@media (max-width: 61.75em) {

    .img-perfil {
        width: 40%;
        height: auto;
        border-radius: 50%;
    }

    h1 {
        margin-bottom: 0.8em;
    }
}

@media (max-width: 28.75em) {
    .projects-section-header {
        font-size: 4rem;
    }


}

h2 {
    font-size: 4.2rem;
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    grid-gap: 4rem;
    width: 100%;
    max-width: 1280px;
    margin: 0 auto 0 auto;
    margin-bottom: 6rem;
}

@media (max-width: 30.625em) {
    .projects-section {
        padding: 6rem 1rem;
    }

    .projects-grid {
        grid-template-columns: 1fr;
    }

    .img-perfil {
        width: 50%;
        height: auto;
        border-radius: 50%;
    }

    .welcome-section>.content-welcome-section>p {
        margin-top: 0.8em;
        padding-top: 0.8em;
        width: 100%;
    }
}

.project {
    background-color: var(--main-grey);
    box-shadow: 1px 1px 2px rgb(0 0 0 / 50%);
    border-radius: 2px;
}

.project-image {
    height: calc(100% - 6.8rem);
    width: 100%;
    object-fit: cover;
}

.project-title {
    font-size: 2rem;
    padding: 2rem 0.5rem 2rem 0.5rem;
}

.code {
    color: var(--main-grey);
    transition: color 0.3s ease-out;
}

.project:hover .code {
    color: tomato;
}

.project:hover {
    transform: translateY(-7px);
    box-shadow: 0 15px 20px rgba(0, 0, 0, 0.3);
  }

.btn-show-all {
    font-size: 2rem;
    background-color: var(--main-grey);
    transition: background 0.3s ease-out;
}

.btn {
    display: inline-block;
    padding: 1rem 2rem;
    border-radius: 2px;
}

.btn-show-all:hover {
    background-color: var(--main-red);
}

.btn-show-all>i {
    padding-left: 10px;
    transform: translateX(0);
    transition: transform 0.3s ease-out;
}

.btn-show-all:hover>i {
    transform: translateX(2px);
}


/* Footer */

footer {
    font-weight: 300;
    display: flex;
    justify-content: space-evenly;
    padding: 2rem;
    background: var(--main-gray);
    border-top: 4px solid var(--main-red);
}

footer>p {
    margin: 2rem;
}

footer i {
    vertical-align: middle;
}

@media (max-width: 28.75em) {
    footer {
        flex-direction: column;
        text-align: center;
    }
}